Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9018)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 9019)
@@ -37,5 +37,4 @@
    USE domvvl         ! variable volume
    USE c1d            ! 1D configuration
-   USE domc1d         ! 1D configuration: column location
    USE dyncor_c1d     ! 1D configuration: Coriolis term    (cor_c1d routine)
    USE wet_dry        ! wetting and drying
@@ -45,5 +44,4 @@
    USE lbclnk         ! ocean lateral boundary condition (or mpp link)
    USE lib_mpp        ! distributed memory computing library
-   USE wrk_nemo       ! Memory Allocation
    USE timing         ! Timing
 
@@ -83,5 +81,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('dom_init')
+      IF( ln_timing )   CALL timing_start('dom_init')
       !
       IF(lwp) THEN         ! Ocean domain Parameters (control print)
@@ -98,6 +96,6 @@
          WRITE(numout,cform) '       ' ,'   jpij    : ', jpij
          WRITE(numout,*)     '      mpp local domain info (mpp):'
-         WRITE(numout,*)     '              jpni    : ', jpni, '   jpreci  : ', jpreci
-         WRITE(numout,*)     '              jpnj    : ', jpnj, '   jprecj  : ', jprecj
+         WRITE(numout,*)     '              jpni    : ', jpni, '   nn_hls  : ', nn_hls
+         WRITE(numout,*)     '              jpnj    : ', jpnj, '   nn_hls  : ', nn_hls
          WRITE(numout,*)     '              jpnij   : ', jpnij
          WRITE(numout,*)     '      lateral boundary of the Global domain : jperio  = ', jperio
@@ -119,9 +117,4 @@
       ENDIF
       !
-      !      
-!!gm  This should be removed with the new configuration interface
-      IF( lk_c1d .AND. ln_c1d_locpt )  CALL dom_c1d( rn_lat1d, rn_lon1d )
-!!gm end
-      !
       !           !==  Reference coordinate system  ==!
       !
@@ -199,5 +192,5 @@
       IF( ln_write_cfg )   CALL cfg_write         ! create the configuration file
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dom_init')
+      IF( ln_timing )   CALL timing_stop('dom_init')
       !
    END SUBROUTINE dom_init
@@ -246,20 +239,20 @@
          IF( nn_print >= 1 ) THEN
             WRITE(numout,*)
-            WRITE(numout,*) '          conversion local  ==> global i-index domain'
+            WRITE(numout,*) '          conversion local  ==> global i-index domain (mig)'
             WRITE(numout,25)              (mig(ji),ji = 1,jpi)
             WRITE(numout,*)
             WRITE(numout,*) '          conversion global ==> local  i-index domain'
-            WRITE(numout,*) '             starting index'
+            WRITE(numout,*) '             starting index (mi0)'
             WRITE(numout,25)              (mi0(ji),ji = 1,jpiglo)
-            WRITE(numout,*) '             ending index'
+            WRITE(numout,*) '             ending index (mi1)'
             WRITE(numout,25)              (mi1(ji),ji = 1,jpiglo)
             WRITE(numout,*)
-            WRITE(numout,*) '          conversion local  ==> global j-index domain'
+            WRITE(numout,*) '          conversion local  ==> global j-index domain (mjg)'
             WRITE(numout,25)              (mjg(jj),jj = 1,jpj)
             WRITE(numout,*)
             WRITE(numout,*) '          conversion global ==> local  j-index domain'
-            WRITE(numout,*) '             starting index'
+            WRITE(numout,*) '             starting index (mj0)'
             WRITE(numout,25)              (mj0(jj),jj = 1,jpjglo)
-            WRITE(numout,*) '             ending index'
+            WRITE(numout,*) '             ending index (mj1)'
             WRITE(numout,25)              (mj1(jj),jj = 1,jpjglo)
          ENDIF
@@ -593,5 +586,5 @@
       !                       ! ============================= !
       !         
-      clnam = 'domcfg_out'  ! filename (configuration information)
+      clnam = cn_domcfg_out  ! filename (configuration information)
       CALL iom_open( TRIM(clnam), inum, ldwrt = .TRUE., kiolib = jprstlib )
       
